Atrium Software Mercur Mailserver POP3 AUTH Remote Buffer Overflow Vulnerability

2003-10-25T00:00:00
ID SMNTC-8889
Type symantec
Reporter Symantec Security Response
Modified 2003-10-25T00:00:00

Description

Description

A problem has been reported in MERCUR Mailserver when handling the POP3 AUTH command. This problem may make it possible for an attacker crash the service on a vulnerable system, or gain unauthorized access.

Technologies Affected

  • Atrium Software MERCUR Mailserver 3.3.0
  • Atrium Software MERCUR Mailserver 3.3.0 SP1
  • Atrium Software MERCUR Mailserver 3.3.0 SP2
  • Atrium Software MERCUR Mailserver 4.0.0 1
  • Atrium Software MERCUR Mailserver 4.0.0 1 SP1
  • Atrium Software MERCUR Mailserver 4.2.0
  • Atrium Software MERCUR Mailserver 4.2.0 SP1
  • Atrium Software MERCUR Mailserver 4.2.0 SP2

Recommendations

Block external access at the network boundary, unless external parties require service.
Filter network traffic of questionable integrity at network perimeters. Prohibit unauthorized traffic through ingress and egress filtering.

Run all software as a nonprivileged user with minimal access rights.
Execute all software with the minimal privileges required for functionality. Software that may be prone to attack from malicious users or content should be insulated with additional precautions such as restricted environments.

This vulnerability has been resolved in version 4.2 Service Pack 3a. See referenced vendor advisory for additional details.